Name:           proguard
Version:        4.10
Release:        %mkrel 2
Summary:        Java class file shrinker, optimizer, obfuscator and preverifier

Group:          Development/Java
License:        GPLv2+
URL:            http://proguard.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}%{version}.tar.gz
# source1 through 3 are the launch scripts, there are already launch scripts 
# included with ProGuard, but they don't follow Fedora practices as described 
# in Packaging:Java on the wiki
Source1:        proguard
Source2:        proguard-gui
Source3:        proguard-retrace
Source4:        %{name}.desktop
Source5:        README.dist


BuildRequires:  jpackage-utils
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  ant
Requires:       jpackage-utils
Requires:       java >= 1:1.6.0

BuildArch:      noarch

%description
ProGuard is a free Java class file shrinker, optimizer, obfuscator and 
preverifier. It detects and removes unused classes, fields, methods, and 
attributes. It optimizes bytecode and removes unused instructions. It 
renames the remaining classes, fields, and methods using short meaningless 
names. Finally, it preverifies the processed code for Java 6 or for Java 
Micro Edition. 

%package manual
Summary:        Manual for %{name}
Group:          Documentation
Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}

%description manual
The manual for %{name}.

%package gui
Summary:        GUI for %{name}
Group:          Development/Tools
# we convert the favicon.ico to png files of different sizes, so we require
# ImageMagick
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
Requires:       jpackage-utils
Requires:       %{name} = %{version}-%{release}

%description gui
A GUI for %{name}.

%prep
%setup -qn %{name}%{version}

# remove all jar and class files, the snippet from Packaging:Java does 
# not work
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;

# remove the Class-Path from MANIFESTs
sed -i '/class-path/I d' src/%{name}/gui/MANIFEST.MF
sed -i '/class-path/I d' src/%{name}/retrace/MANIFEST.MF

# this will create three png files from the favicon that contains multiple size 
# icons: 0: 48x48, 1: 32x32, 2: 16x16
convert docs/favicon.ico %{name}.png
cp -p %{name}-0.png %{name}48.png
cp -p %{name}-1.png %{name}32.png
cp -p %{name}-2.png %{name}16.png

# add README.dist
cp -p %{SOURCE5} .

%build
cd build/
# build ProGuard, ProGuardGUI, retrace and anttask
ant -Dant.jar=%{_javadir}/ant.jar basic anttask

%install
rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_javadir}/%{name}/
cp -p lib/%{name}.jar ${RPM_BUILD_ROOT}%{_javadir}/%{name}/%{name}-%{version}.jar
(cd ${RPM_BUILD_ROOT}%{_javadir}/%{name}/ && ln -sf %{name}-%{version}.jar %{name}.jar)
cp -p lib/%{name}gui.jar ${RPM_BUILD_ROOT}%{_javadir}/%{name}/%{name}gui-%{version}.jar
(cd ${RPM_BUILD_ROOT}%{_javadir}/%{name}/ && ln -sf %{name}gui-%{version}.jar %{name}gui.jar)
cp -p lib/retrace.jar ${RPM_BUILD_ROOT}%{_javadir}/%{name}/retrace-%{version}.jar
(cd ${RPM_BUILD_ROOT}%{_javadir}/%{name}/ && ln -sf retrace-%{version}.jar retrace.jar)

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp -p %{SOURCE1} ${RPM_BUILD_ROOT}%{_bindir}/
cp -p %{SOURCE2} ${RPM_BUILD_ROOT}%{_bindir}/
cp -p %{SOURCE3} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/*

#install the desktop file for proguard-gui
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE4}

#copy icons
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps
cp -p %{name}48.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/32x32/apps
cp -p %{name}32.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/16x16/apps
cp -p %{name}16.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/proguard.jar
%{_javadir}/%{name}/proguard-%{version}.jar
%{_javadir}/%{name}/retrace.jar
%{_javadir}/%{name}/retrace-%{version}.jar
%{_bindir}/proguard
%{_bindir}/proguard-retrace
%doc README examples/ README.dist

%files manual
%doc docs/*

%files gui
%{_bindir}/%{name}-gui
%{_javadir}/%{name}/proguardgui.jar
%{_javadir}/%{name}/proguardgui-%{version}.jar
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/*/*/apps/*




%changelog
* Tue Oct 22 2013 umeabot <umeabot> 4.10-2.mga4
+ Revision: 541311
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 4.10-1.mga4
+ Revision: 495496
- New version

* Sun Jan 13 2013 umeabot <umeabot> 4.6-2.mga3
+ Revision: 378233
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 01 2011 gil <gil> 4.6-1.mga2
+ Revision: 160731
- imported package proguard

